﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.FollowUpEnqModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)


    <style type="text/css">
        div.box div.overlay { display: none; }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#UserList").val($("#usrhidden").val());
            $("#date2").datepicker();
            $("#date3").datepicker();
        });
    </script>
    <script type="text/javascript">
        deleterecord("MaEnquiry");
        function Submit() {
            searchfun();
        }


        function searchfun() {
          
            var branch = $("#BranchList").val();

            var usr = $("#UserList").val();

            var fdate = $("#date2").val();
            var tdate = $("#date3").val();
            window.location.href = "/MaEnqFollow/PrintPendingFollowUpList?branch=" + branch + "&uid=" + usr + "&date2=" + fdate + "&date3=" + tdate;

            $("#UserList").val(usr);
            $("#BranchList").val(branch);

        }
        $(document).ready(function () {

            //$(":text").keypress(function (event) {
            //    //filter enter key only
            //    if (event.keyCode == 13) {
            //        searchfun();
            //    }
            //    return true;
            //});


        });

    </script>

    <script>
        $("#BranchList").change(function () {
            var bid = $(this).val();
            $.getJSON("/MaEnqFollow/BranchUser", { id: bid }, function (data) {
                var select = $("#UserList");
                select.empty();
                select.append($('<option/>', {
                    value: 0,
                    text:"Select User"
                 
                }));
                $.each(data, function (index, itemData) {
                    select.append($('<option/>', {
                        value: itemData.Value,
                        text:itemData.Text,
                    }));
                });
                //$("#UserList").append(data["FullName"]);
            });
        });
    </script>




    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Pending Enquiry Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            @*<td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            <td style="width: 120px">
                <b>From Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>To Date</b>
            </td>*@
            <td width="40px;">
                <b>Branch Name</b>
            </td>
            <td style="width: 120px">
                <b>Enquiry Handled By</b>
            </td>
            <td style="width:80px">
                <b>From Date</b>
            </td>
            <td style="width:80px">
                <b>To Date</b>
            </td>
        </tr>
        <tr>
            @*<td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            <td>
                <input id="dateofwnquiry" type="date" style="width: 120px" value="@ViewBag.dt1" />
            </td>
            <td></td>
            <td>
                <input id="tdate" type="date" style="width: 120px" value="@ViewBag.dt2" />
            </td>
            <td></td>*@
            <td>
                @Html.DropDownList("BranchList", "Select Branch")
                <input type="hidden" id="brnchidden" value="@ViewBag.branch" />

            </td>
            <td>
                @Html.DropDownList("UserList", "Select User")
                <input type="hidden" id="usrhidden" value="@ViewBag.usr" />
            </td>
            <td>
                <input type="date" id="date2" name="date2" style="width:120px" />

            </td>
            <td>
                <input type="date" id="date3" name="date3" style="width:120px" />

            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
